Loading...
Searching...
No Matches
BamTools::CigarOp Struct Reference

Represents a CIGAR alignment operation. More...

`#include <BamAux.h>`

## Public Member Functions

| CigarOp (const char type='\0', const uint32_t &length=0)
| constructor

## Public Attributes

char | Type
| CIGAR operation type (MIDNSHPX=).
uint32_t | Length
| CIGAR operation length (number of bases).

## Detailed Description

Represents a CIGAR alignment operation.

See also
  http://samtools.sourceforge.net/SAM1.pdf for more details on using CIGAR operations.

## Constructor & Destructor Documentation

## CigarOp()

BamTools::CigarOp::CigarOp | ( | const char | type = '\0',
|  | const uint32_t & | length = 0 )

inline

constructor

## Member Data Documentation

## Length

uint32_t BamTools::CigarOp::Length

CIGAR operation length (number of bases).

## Type

char BamTools::CigarOp::Type

CIGAR operation type (MIDNSHPX=).

The documentation for this struct was generated from the following file:

- BamAux.h